#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	vala		# Vala API

Summary:	MSI manipulation library and tools
Summary(pl.UTF-8):	Biblioteka i narzędzia do obróbki plików MSI
Name:		msitools
Version:	0.100
Release:	1
License:	LGPL v2.1+
Group:		Applications/File
Source0:	http://ftp.gnome.org/pub/GNOME/sources/msitools/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	ddba9a5bf2a8f0a5b4238bf6b9aca59d
URL:		https://wiki.gnome.org/msitools
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gcab-devel >= 0.1.10
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.23.0
BuildRequires:	gobject-introspection-devel >= 0.9.4
BuildRequires:	intltool >= 0.35
BuildRequires:	libgsf-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel >= 1.41.3
BuildRequires:	libxml2-devel >= 1:2.7
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.16}
BuildRequires:	xz
Requires:	gcab >= 0.1.10
Requires:	glib2 >= 1:2.23.0
Requires:	libxml2 >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
msitools is a set of programs to inspect and build Windows Installer
(.MSI) files. It is based on libmsi, a portable library to read and
write .MSI files. libmsi in turn is a port of (and a subset of) Wine's
implementation of the Windows Installer.

%description -l pl.UTF-8
msitools to zbiór programów do badania i tworzenia plików Windows
Installera (.MSI). Jest oparty na libmsi - przenośnej bibliotece do
odczytu i zapisu plików .MSI. libmsi to z kolei port (podzbioru)
implementacji Windows Installera z WINE.

%package devel
Summary:	Header files for MSI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MSI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.23.0

%description devel
Header files for MSI library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MSI.

%package static
Summary:	Static MSI library
Summary(pl.UTF-8):	Statyczna biblioteka MSI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MSI library.

%description static -l pl.UTF-8
Statyczna biblioteka MSI.

%package -n vala-libmsi
Summary:	Vala API for MSI library
Summary(pl.UTF-8):	API języka Vala do biblioteki MSI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libmsi
Vala API for MSI library.

%description -n vala-libmsi -l pl.UTF-8
API języka Vala do biblioteki MSI.

%package -n bash-completion-msitools
Summary:	Bash completion for MSI tools
Summary(pl.UTF-8):	Bashowe dopełnianie poleceń dla narzędzi MSI
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-msitools
Bash completion for MSI tools (msiinfo and msibuild).

%description -n bash-completion-msitools -l pl.UTF-8
Bashowe dopełnianie poleceń dla narzędzi MSI (msiinfo oraz msibuild).

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-fast-install \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmsi.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/msibuild
%attr(755,root,root) %{_bindir}/msidiff
%attr(755,root,root) %{_bindir}/msidump
%attr(755,root,root) %{_bindir}/msiextract
%attr(755,root,root) %{_bindir}/msiinfo
%attr(755,root,root) %{_bindir}/wixl
%attr(755,root,root) %{_bindir}/wixl-heat
%attr(755,root,root) %{_libdir}/libmsi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmsi.so.0
%{_libdir}/girepository-1.0/Libmsi-1.0.typelib
%{_datadir}/wixl-%{version}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmsi.so
%{_includedir}/libmsi-1.0
%{_datadir}/gir-1.0/Libmsi-1.0.gir
%{_pkgconfigdir}/libmsi-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmsi.a
%endif

%if %{with vala}
%files -n vala-libmsi
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libmsi-1.0.vapi
%endif

%files -n bash-completion-msitools
%defattr(644,root,root,755)
%{bash_compdir}/msitools
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/msitools.git;a=log;h=master

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 3eb554e
- updated to 0.100

* Fri Nov 08 2019 Jakub Bogusz <qboosh@pld-linux.org> eeab253
- updated to 0.99

* Sun Jan 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ce6b454
- updated to 0.98

* Tue Nov 15 2016 Jakub Bogusz <qboosh@pld-linux.org> ccdcbb0
- better Group

* Wed Nov 09 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 88bc098
- Update to 0.96

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> f1ac230
- noarch vala subpackage

* Sun Feb 07 2016 Adam Osuchowski <adwol@pld-linux.org> e78b63a
- fix missed ldconfig in %post and %postun

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> ec45d71
- updated to 0.95

* Wed Jun 17 2015 Marcin Banasiak <marcin.banasiak@gmail.com> ba4bf7c
- Fix source0 url

* Wed Jun 17 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 7e4666d
- Update to 0.94

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e33dd99
- updated gettext BR

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> f817b86
- noarch bash completions

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> d66cf53
- updated to 0.93

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 46bd16d
- updated to 0.92
- removed obsolete link patch

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> f96e3b1
- new
- link patch fixes linking with as-needed

